summaryrefslogtreecommitdiff
path: root/source3/script/tests/t_001.sh
diff options
context:
space:
mode:
authorGerald Carter <jerry@samba.org>2005-09-30 17:13:37 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:04:48 -0500
commit54abd2aa66069e6baf7769c496f46d9dba18db39 (patch)
tree9cf8e88168011797319ba9e9866749201b1eac1e /source3/script/tests/t_001.sh
parent4a2cc231d22a82ed21771a72508f15d21ed63227 (diff)
downloadsamba-54abd2aa66069e6baf7769c496f46d9dba18db39.tar.gz
samba-54abd2aa66069e6baf7769c496f46d9dba18db39.tar.bz2
samba-54abd2aa66069e6baf7769c496f46d9dba18db39.zip
r10656: BIG merge from trunk. Features not copied over
* \PIPE\unixinfo * winbindd's {group,alias}membership new functions * winbindd's lookupsids() functionality * swat (trunk changes to be reverted as per discussion with Deryck) (This used to be commit 939c3cb5d78e3a2236209b296aa8aba8bdce32d3)
Diffstat (limited to 'source3/script/tests/t_001.sh')
-rw-r--r--source3/script/tests/t_001.sh22
1 files changed, 2 insertions, 20 deletions
diff --git a/source3/script/tests/t_001.sh b/source3/script/tests/t_001.sh
index 7db2abe226..6d54d0e489 100644
--- a/source3/script/tests/t_001.sh
+++ b/source3/script/tests/t_001.sh
@@ -22,27 +22,9 @@ chmod 1777 $PREFIX_ABS/tmp
start_smbd || exit $?
-## share enumeration
-
smbclient $CONFIGURATION -L localhost -N -p 139
-check_ret_value $?
-
-testfile=`echo $CONFIGURATION | awk '{print $2}'`
-filename=`basename $testfile`
-dirname=`dirname $testfile`
-
-
-# file get/put
-
-smbclient //localhost/test $PASSWORD $CONFIGURATION -c "lcd $dirname; put $filename"
-check_ret_value $?
-
-smbclient //localhost/test $PASSWORD $CONFIGURATION -c "get $filename; rm $filename"
-check_ret_value $?
-
-diff $filename $testfile 2> /dev/null > /dev/null
-check_ret_value $?
+ret=$?
stop_smbd
-exit 0
+exit $ret